# Create proof version

Creates a proof version. Proof ID must be for the original proof.

Endpoint: POST /sheets/{sheetId}/proofs/{proofId}/versions
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `proofId` (string, required)
    ID of the original proof.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string)
    Required for POST and PUT requests. Defines the structure for the request body.

## Response 200 fields (application/json):

  - `version` (number,null)
    New version of the sheet. Applicable only for operations which update sheet data.

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `result` (object)
    Object containing zero or more media items, including images, videos, and documents, for review, editing, or approval.

  - `result.id` (number)
    Proof ID of the proof version.

  - `result.originalId` (number)
    Proof ID of the original proof version.

  - `result.name` (string)
    Proof name. This is the same as primary column value. If the primary column value is empty, name is empty.

  - `result.type` (string)
    File type for the proof version.
    Enum: "DOCUMENT", "IMAGE", "MIXED", "NONE", "VIDEO"

  - `result.documentType` (string)
    If type=DOCUMENT, then this indicates the type of file, such as PDF.

  - `result.proofRequestUrl` (string)
    URL to review a proofing request.

  - `result.version` (number)
    The version number of the proof.

  - `result.lastUpdatedAt` (any)

  - `result.lastUpdatedBy` (object)
    User object containing name and email of the user who last updated the proof.

  - `result.lastUpdatedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.lastUpdatedBy.name` (string)
    Example: "Jane Doe"

  - `result.isCompleted` (boolean)
    Indicates whether the proof is completed.

  - `result.attachments` (array)
    Array of Attachment objects. Only returned if the include query string parameter contains attachments.

  - `result.attachments.id` (number)
    Attachment ID.

  - `result.attachments.parentId` (number)
    The ID of the parent.

  - `result.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `result.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `result.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `result.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `result.attachments.createdAt` (any)

  - `result.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `result.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `result.attachments.name` (string)
    Attachment name.

  - `result.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `result.attachments.url` (string)
    Attachment temporary URL (files only).

  - `result.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `result.discussions` (array)
    Array of Discussion objects. Only returned if the include query string parameter contains discussions.

  - `result.discussions.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `result.discussions.id` (number)
    Discussion ID.

  - `result.discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `result.discussions.comments.attachments` (array)
    Array of attachments on comments.

  - `result.discussions.comments.attachments.id` (number)
    Attachment ID.

  - `result.discussions.comments.attachments.parentId` (number)
    The ID of the parent.

  - `result.discussions.comments.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `result.discussions.comments.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `result.discussions.comments.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `result.discussions.comments.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `result.discussions.comments.attachments.createdAt` (any)

  - `result.discussions.comments.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `result.discussions.comments.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.discussions.comments.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `result.discussions.comments.attachments.name` (string)
    Attachment name.

  - `result.discussions.comments.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `result.discussions.comments.attachments.url` (string)
    Attachment temporary URL (files only).

  - `result.discussions.comments.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `result.discussions.comments.createdAt` (any)

  - `result.discussions.comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `result.discussions.comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.discussions.comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `result.discussions.comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `result.discussions.comments.id` (number)
    Comment ID.

  - `result.discussions.comments.modifiedAt` (any)

  - `result.discussions.comments.text` (string)
    Comment body.

  - `result.discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `result.discussions.commentAttachments.id` (number)
    Attachment ID.

  - `result.discussions.commentAttachments.parentId` (number)
    The ID of the parent.

  - `result.discussions.commentAttachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `result.discussions.commentAttachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `result.discussions.commentAttachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `result.discussions.commentAttachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `result.discussions.commentAttachments.createdAt` (any)

  - `result.discussions.commentAttachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `result.discussions.commentAttachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.discussions.commentAttachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `result.discussions.commentAttachments.name` (string)
    Attachment name.

  - `result.discussions.commentAttachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `result.discussions.commentAttachments.url` (string)
    Attachment temporary URL (files only).

  - `result.discussions.commentAttachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `result.discussions.commentCount` (number)
    Number of comments in the discussion.

  - `result.discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `result.discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `result.discussions.lastCommentedAt` (any)

  - `result.discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `result.discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `result.discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `result.discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `result.discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `result.discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `result.discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.


